﻿@model HOD.Models.AgentPagesViewModel
@using Microsoft.Ajax.Utilities
@{
    ViewBag.Title = "Agent Portal";
    Layout = "~/Views/Shared/_SecuredPagesLayout.cshtml";
}

<style>
    table td, table td * {
        vertical-align: top;
    }

    a { color: #333333 }
    a:active { color: #666666 }
    a:link { color: #999999 }
    a:visited { color: #ffffff }
</style>
    

<link href="@Url.Content("~/Content/assets/css/croppic.css")" rel="stylesheet">
<script type="text/javascript" src="@Url.Content("~/Scripts/croppic.js")"></script>

<script>
    var contentData;
    var theCurrentImage;

    window.contentData = contentData;
    window.theCurrentImage = theCurrentImage;
    (function(window, document){
        function ContentPageData() {

            var currentImage;
        }

        $(document).ready(function () {
            $("img").click(function (event) {
                theCurrentImage = event.target;
                SetupCropper();
            });
        });
    })(window, document);
</script>

<script src="~/Scripts/portfolio.pack.min.js"></script>

<style>
    a.newListing { color: #333333 }
    a.newListing:active { color: #666666 }
    a.newListing:link { color: #999999 }
    a.newListing:visited { color: #ffffff }

    textarea {
        background-color: lightyellow !important;
        width:100%
    }
</style>

<div class="details_holder">


     <div class="alert alert-success">
           Great, now that you've provided some basic information to get started, here are the main features you should be interested in.
    </div>


 
    <div class="panel panel-default" style="border:none">
                    <div class="panel-heading" align="left">Update Page Content</div>
                    <div class="panel-body" style="background-color: #ffffff;">

            @using (Html.BeginForm("ContentPageSave", "Agent", FormMethod.Post))
            {
                        <div class="col-sm-10">

                        Update your page: @Html.TextBoxFor(x => x.Pages[0].PageType, new { @readonly = true })                            
                        </div>

                            int profilePicCount = 0;
                            
                                
                            foreach (var items in Model.Pages[0].Items)
                            {
                              <div class="form-group">

                                <div class="col-sm-10">
                                    <br />
                                <p><b>@*Html.Label(items.PageItemLabel)*@</b></p>
                                @if (items.PageItemTypeId == (int)HOD.Controllers.PageItemTypesEnum.MainTextContent)
                                  {
                                           @Html.TextAreaFor(x => items.PageContent, new { @rows="5", @class = "form-control", @placeholder = "Content" })
                                  }
                                </div>
                                <div class="col-xs-6 col-md-3">
                                @if ((items.PageItemTypeId == (int)HOD.Controllers.PageItemTypesEnum.ProfilePhoto) || ((items.PageItemTypeId == (int)HOD.Controllers.PageItemTypesEnum.CompanyLogo)))
                                  {
                                    profilePicCount++;
                                    string picId = string.Empty;
                                    
                                    string imageDisplay;
                                    if (items.PageContent == null)
                                    {
                                        imageDisplay = "../imgs/blank-icon.jpg";
                                    }
                                    else {
                                        imageDisplay = @items.PageContent;
                                    }
                                    
                                    if ((items.PageItemTypeId == (int)HOD.Controllers.PageItemTypesEnum.ProfilePhoto)){
                                        picId = "profilePic" + profilePicCount;
                                    }
                                    
                                    if ((items.PageItemTypeId == (int)HOD.Controllers.PageItemTypesEnum.CompanyLogo)){
                                              picId = "profileAgentLogoDisplay";                                                   
                                    }                                    
                                    
                                    <a href="#" class="thumbnail">
                                            <img src="@imageDisplay" id="@picId" width="268" height="268" class="img-rounded img-responsive"  data-toggle="modal" data-target="#imageCropper"/>                                    
                                      </a>
                                  }

                                </div>
                              </div>
                            }       
                                                        
                          <input type="hidden" id="pageTypeId" name="pageTypeId" value="@Model.Pages[0].PageTypeId"/>

                          <div class="form-group">
                            <div class="col-sm-offset-2 col-sm-10">
                                <input type="submit" class="btn-success btn-lg" value=" Save Content  "/>
                                <a href="/Agent/AgentPortal" class="btn-warning btn-lg">Return to Home</a>
                            </div>
                   </div>                                                                                                          
            }
    </div>
</div>
</div>



<!-- Modal -->
<div class="modal fade" id="imageCropper" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display:none;">
  <div class="modal-dialog">
  <div class="modal-content">
      <div class="modal-header">
        <button id="ModalXBtn" type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>

       <div class="modal-title" id="myModalLabel"> <h4>Upload Image</h4>
      </div>
      <div class="modal-body">
			
				<div> <!-- </div><div class="container"> -->
		
		<div class="row mt centered">
			<div>
				<!-- <h4 class="centered"> Crop </h4>	-->			
				<div id="cropContainerModal" style="height:300px; text-align:center;"></div>
				
			</div>
			
		</div>
	        </div>				
	  </div>
        
      <div class="modal-footer">
        <button id="ModalBtnClose" type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
        <!--<button type="button" class="btn btn-primary">Save changes</button>-->
      </div>
  </div>
</div>
      </div>
    </div>
	<script>

	    var CropperWidth = 0;
	    var CropperHeight = 0;
	    var SelectBtn = '';

	    function SetupCropper() {

            CropperWidth = 268;
	        CropperHeight = 268;

	        cropContainerModal.objH = CropperHeight;
	        cropContainerModal.objW = CropperWidth;
	        cropContainerModal.reset()

	    }

	    /*function SetBtnId(event) {
	        SelectBtn = event.target.id;
	        if (SelectBtn.indexOf('profilePic') > 0) {
	            CropperWidth = 268;
	            CropperHeight = 268;
	        }
	        else {
	            CropperWidth = 268;//700;//539;//360;
	            CropperHeight = 268;//525;//210;//200;
	        }

	        cropContainerModal.objH = CropperHeight;
	        cropContainerModal.objW = CropperWidth;
	        cropContainerModal.reset()
	    }*/

	    $("#ModalXBtn").click(function () {
	        cropContainerModal.destroy();
	        cropContainerModal = new Croppic('cropContainerModal', croppicContainerModalOptions);
	    });
	    $("#ModalBtnClose").click(function () {
	        cropContainerModal.destroy();
	        cropContainerModal = new Croppic('cropContainerModal', croppicContainerModalOptions);
	    });
	    var croppicContainerModalOptions = {
	        uploadUrl: '/Listing/CropSave',
	        cropUrl: '/Listing/CropResponse',
	        modal: true,
	        imgEyecandyOpacity: 0.4,
	        loaderHtml: '<div class="loader bubblingG"><span id="bubblingG_1"></span><span id="bubblingG_2"></span><span id="bubblingG_3"></span></div> '
	    }
	    var cropContainerModal = new Croppic('cropContainerModal', croppicContainerModalOptions);
	    cropContainerModal.destroy(); 	// no need explaining here :) 
	    cropContainerModal.reset();
	</script>